require 'facets/core/module/rename_method'
class Module
  private
  alias_method( :rename, :rename_method )
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def a; "A" ; end

    rename :b, :a

    def test_rename
      assert( ! respond_to?( :a ) )
      assert( respond_to?( :b ) )
    end

  end

=end
